Package org.apache.sling.distribution.journal.shared

# Class DistributionLogEventListener

java.lang.Object
org.apache.sling.distribution.journal.shared.DistributionLogEventListener

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `org.osgi.service.event.EventHandler`

public class DistributionLogEventListener extends Object implements org.osgi.service.event.EventHandler, Closeable
Listens to log message events (for errors) and package distributed events (for success) and logs both to the given DefaultDistributionLog

## Constructor Summary

Constructors
Constructor
Description
`DistributionLogEventListener(org.osgi.framework.BundleContext context, DefaultDistributionLog log, String pubAgentName)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`void`
`handleEvent(org.osgi.service.event.Event event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DistributionLogEventListener

public DistributionLogEventListener(org.osgi.framework.BundleContext context, DefaultDistributionLog log, String pubAgentName)

## Method Details

### handleEvent

public void handleEvent(org.osgi.service.event.Event event)

Specified by:
  `handleEvent` in interface `org.osgi.service.event.EventHandler`

### close

public void close()

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`